Raritan PX2/PX3 JSON-RPC API

Public Types | List of all members
um::SnmpV3 Interface Reference

SNMPv3 interface. More...

`import"SnmpV3.idl";`

## Public Types
enum | SecurityLevel { NO_AUTH_NO_PRIV, AUTH_NO_PRIV, AUTH_PRIV }
| SNMP v3 security level. More...
enum | AuthProtocol { MD5, SHA1 }
| SNMP v3 authentication protocol. More...
enum | PrivProtocol { DES, AES128 }
| SNMP v3 privacy protocol. More...

## Detailed Description

SNMPv3 interface.

## Member Enumeration Documentation

## ◆ AuthProtocol

enum um::SnmpV3::AuthProtocol

SNMP v3 authentication protocol.

Enumerator
MD5 | Use MD5 for authentication.
SHA1 | Use SHA1 for authentication.

## ◆ PrivProtocol

enum um::SnmpV3::PrivProtocol

SNMP v3 privacy protocol.

Enumerator
DES | Use DES encryption for privacy.
AES128 | Use AES encryption for privacy.

## ◆ SecurityLevel

enum um::SnmpV3::SecurityLevel

SNMP v3 security level.

Enumerator
NO_AUTH_NO_PRIV | No authentication and no privacy protocol.
AUTH_NO_PRIV | Use authentication but no privacy protocol.
AUTH_PRIV | Use both, authentication and privacy protocol.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/SnmpV3.idl